---
apiVersion: cert-manager.io/v1
kind: ClusterIssuer
metadata:
  name: letsencrypt
spec:
  acme:
    email: tothmiklostibor@gmail.com
    server: https://acme-v02.api.letsencrypt.org/directory
    privateKeySecretRef:
      name: letsencrypt-issuer-key
    solvers:
      - http01:
          ingress:
            class: traefik

---
apiVersion: cert-manager.io/v1
kind: ClusterIssuer
metadata:
  name: cloudflare
spec:
  acme:
    email: tothmiklostibor@gmail.com
    server: https://acme-v02.api.letsencrypt.org/directory
    privateKeySecretRef:
      name: cloudflare-issuer-key
    solvers:
      - dns01:
          cloudflare:
            email: tothmiklostibor@gmail.com
            apiTokenSecretRef:
              name: cloudflare-api-token-secret
              key: api-token